MethodReference (EL 5.0 API Documentation - Apache Tomcat 10.1.7)

Package jakarta.el

## Class MethodReference

- java.lang.Object
- - jakarta.el.MethodReference

-     public class MethodReference
      extends java.lang.Object

  Provides information about the method to which a method expression resolves.
  Since:
    EL 5.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MethodReference​(java.lang.Object base, MethodInfo methodInfo, java.lang.annotation.Annotation[] annotations, java.lang.Object[] evaluatedParameters)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.annotation.Annotation[]` | `getAnnotations()` | Obtain the annotations on the method to which the associated expression resolves.
    `java.lang.Object` | `getBase()` | Obtain the base object on which the method will be invoked.
    `java.lang.Object[]` | `getEvaluatedParameters()` | Obtain the evaluated parameter values that will be passed to the method to which the associated expression resolves.
    `MethodInfo` | `getMethodInfo()` | Obtain the `MethodInfo` for the `MethodExpression` for which this `MethodReference` has been generated.
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodReference

          public MethodReference​(java.lang.Object base,
                                 MethodInfo methodInfo,
                                 java.lang.annotation.Annotation[] annotations,
                                 java.lang.Object[] evaluatedParameters)

  - ### Method Detail

    - #### getBase

          public java.lang.Object getBase()

      Obtain the base object on which the method will be invoked.
      Returns:
        The base object on which the method will be invoked or `null` for literal method expressions.

    - #### getMethodInfo

          public MethodInfo getMethodInfo()

      Obtain the `MethodInfo` for the `MethodExpression` for which this `MethodReference` has been generated.
      Returns:
        The `MethodInfo` for the `MethodExpression` for which this `MethodReference` has been generated.

    - #### getAnnotations

          public java.lang.annotation.Annotation[] getAnnotations()

      Obtain the annotations on the method to which the associated expression resolves.
      Returns:
        The annotations on the method to which the associated expression resolves. If the are no annotations, then an empty array is returned.

    - #### getEvaluatedParameters

          public java.lang.Object[] getEvaluatedParameters()

      Obtain the evaluated parameter values that will be passed to the method to which the associated expression resolves.
      Returns:
        The evaluated parameters.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`